Package com.omnisci.thrift.server

## Class TPendingRenderQuery

- java.lang.Object
- - com.omnisci.thrift.server.TPendingRenderQuery

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TPendingRenderQuery>`, `org.apache.thrift.TBase<TPendingRenderQuery,​TPendingRenderQuery._Fields>`, `org.apache.thrift.TSerializable`

    public class TPendingRenderQuery
    extends Object
    implements org.apache.thrift.TBase<TPendingRenderQuery,​TPendingRenderQuery._Fields>, Serializable, Cloneable, Comparable<TPendingRenderQuery>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TPendingRenderQuery._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`long` `id`
`static Map<TPendingRenderQuery._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Constructor Summary

Constructors
`TPendingRenderQuery()`
`TPendingRenderQuery​(long id)`
`TPendingRenderQuery​(TPendingRenderQuery other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TPendingRenderQuery other)`
`TPendingRenderQuery` `deepCopy()`
`boolean` `equals​(TPendingRenderQuery that)`
`boolean` `equals​(Object that)`
`TPendingRenderQuery._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TPendingRenderQuery._Fields field)`
`long` `getId()`
`int` `hashCode()`
`boolean` `isSet​(TPendingRenderQuery._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetId()` Returns true if field id is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TPendingRenderQuery._Fields field, Object value)`
`TPendingRenderQuery` `setId​(long id)`
`void` `setIdIsSet​(boolean value)`
`String` `toString()`
`void` `unsetId()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### id

    public long id

#### metaDataMap

    public static final Map<TPendingRenderQuery._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TPendingRenderQuery

    public TPendingRenderQuery()

#### TPendingRenderQuery

    public TPendingRenderQuery​(long id)

#### TPendingRenderQuery

    public TPendingRenderQuery​(TPendingRenderQuery other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TPendingRenderQuery deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TPendingRenderQuery,​TPendingRenderQuery._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TPendingRenderQuery,​TPendingRenderQuery._Fields>`

#### getId

    public long getId()

#### setId

    public TPendingRenderQuery setId​(long id)

#### unsetId

    public void unsetId()

#### isSetId

    public boolean isSetId()

Returns true if field id is set (has been assigned a value) and false otherwise

#### setIdIsSet

    public void setIdIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TPendingRenderQuery._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TPendingRenderQuery,​TPendingRenderQuery._Fields>`

#### getFieldValue

    public Object getFieldValue​(TPendingRenderQuery._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TPendingRenderQuery,​TPendingRenderQuery._Fields>`

#### isSet

    public boolean isSet​(TPendingRenderQuery._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TPendingRenderQuery,​TPendingRenderQuery._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TPendingRenderQuery that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TPendingRenderQuery other)

Specified by:
  `compareTo` in interface `Comparable<TPendingRenderQuery>`

#### fieldForId

    public TPendingRenderQuery._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TPendingRenderQuery,​TPendingRenderQuery._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`